//=========================================================
//  MusE
//  Linux Music Editor
//  $Id: rack.h,v 1.5 2004/04/17 11:30:43 wschweer Exp $
//
//  (C) Copyright 2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __RACK_H__
#define __RACK_H__

#include <qlistbox.h>

class AudioTrack;

//---------------------------------------------------------
//   EffectRack
//---------------------------------------------------------

class EffectRack : public QListBox {
      AudioTrack* track;
      Q_OBJECT

      virtual QSize minimumSizeHint() const;

   private slots:
      void menuRequested(QListBoxItem*, const QPoint&);
      void doubleClicked(QListBoxItem*);
      void songChanged(int);

   public:
      EffectRack(QWidget*, AudioTrack* t);
      ~EffectRack();
      };

#endif

